aboutsummaryrefslogtreecommitdiff
path: root/system/iscan/iscan.SlackBuild
diff options
context:
space:
mode:
authorFrank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:45:24 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-12 17:45:24 +0200
commit4935871150e0366a1bf658b44c2a7ca2cc0e2e84 (patch)
tree127e0864e56bc3d81191d8baa1dda61a7040e66e /system/iscan/iscan.SlackBuild
parentaf0f411a78633b273cfac60fd4312337736b3781 (diff)
system/iscan: Updated for version 2.18.0
Diffstat (limited to 'system/iscan/iscan.SlackBuild')
-rw-r--r--system/iscan/iscan.SlackBuild30
1 files changed, 10 insertions, 20 deletions
diff --git a/system/iscan/iscan.SlackBuild b/system/iscan/iscan.SlackBuild
index cab91f2b62c8..6dfbf53b6ecb 100644
--- a/system/iscan/iscan.SlackBuild
+++ b/system/iscan/iscan.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Iscan
-# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2007-2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=iscan
-VERSION=2.11.0
+VERSION=${VERSION:-2.18.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,8 +33,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING* INSTALL NEWS README non-free/EAPL.en.txt"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -47,9 +45,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/${PRGNAM}_$VERSION-1.tar.gz || exit 1
+tar xvf $CWD/${PRGNAM}_$VERSION-?.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,7 +54,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# This program will not build unless static is enabled.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -65,10 +61,8 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --enable-shared=yes \
- --enable-static=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -84,21 +78,17 @@ install -m 0644 backend/epkowa.conf $PKG/etc/sane.d || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL KNOWN-PROBLEMS NEWS README \
+ SUPPORTED-DEVICES non-free/AVASYSPL.en.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/usr/share/applications
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-( cd $PKG
- find . -type d -depth -exec rmdir {} \; 2>/dev/null
- find . -type f -size 0c -exec rm {} \; 2>/dev/null
-)
-
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz